org.apache.lucene.index

## Class AssertingLeafReader.AssertingBits

- java.lang.Object
- - org.apache.lucene.index.AssertingLeafReader.AssertingBits

All Implemented Interfaces:
  Bits

Enclosing class:
  AssertingLeafReader

    public static class AssertingLeafReader.AssertingBits
    extends Object
    implements Bits

Wraps a Bits but with additional asserts

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.lucene.util.Bits

`Bits.MatchAllBits, Bits.MatchNoBits`

### Field Summary

### Fields inherited from interface org.apache.lucene.util.Bits

`EMPTY_ARRAY`

### Constructor Summary

Constructors
Constructor and Description
`AssertingBits(Bits in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `get(int index)`
`int` `length()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingBits

    public AssertingBits(Bits in)

### Method Detail

#### get

    public boolean get(int index)

Specified by:
  `get` in interface `Bits`

#### length

    public int length()

Specified by:
  `length` in interface `Bits`